4

I upgraded from CiviCrm 5.38 to 5.45.0 on my staging server which is on Wordpress(5.8.3). I get a Error Thrown ...Class 'CRM_Search_Upgrader' not found when I access:

  1. CiviCRM from the Wordpress Admin panel for the first time and when I refresh the page CiviCRM comes up.

  2. Administration>>System status - nothing comes up apart from the wait icon. (https://example.org/wp-admin/admin.php?page=CiviCRM&q=civicrm%2Fa%2F#/status)

  3. The extensions option thru the administration menu. Administration>>>System Settings>>Extensions (https://example.org/wp-admin/admin.php?page=CiviCRM&q=civicrm%2Fadmin%2Fextensions&reset=1)

For the upgrade I followed the notes on https://docs.civicrm.org/sysadmin/en/latest/upgrade/wordpress/

Extensions were also brought back as per the notes above. The extensions are:-

  1. ca.civicrm.logviewer
  2. mosaicotweaks
  3. purgelogs-1.1.0
  4. uk.co.compucorp.civicrm.booking
  5. uk.co.vedaconsulting.mosaico
  6. webtracking-1.3

I don't think that uk.co.compucorp.civicrm.booking is working or has been updated as we were testing this some time ago but abandoned it as there was no support.

Caches have been cleared, CiviCrm menu rebuilt and rebuilt database triggers through the CiviCRM Admin Utilities.

I did get the message that the upgrade was successful during the upgrade process through CiviCRM Admin Utilities.It shows that I am running 5.45.0 on the bottom of https://example.org/wp-admin/admin.php?page=CiviCRM

  1. Has anyone come across the same issue on Wordpress and be able to assist please with a solution?

  2. Do I revert back to CiviCRM 5.36 and wait for the next version CiviCRM 5.46 on my staging server?

Thanking the team in advance.

9
  • Hi, This seems like the same question as civicrm.stackexchange.com/questions/41044/…, but when you say Extensions were also brought back as per the notes above, do you mean including the ext dir in the civicrm core tree, i.e. the ext folder at the same level as ang, CRM, Civi, etc... Just want to clarify because those core ones should not be restored, just 3rd party ones that usually live in a different folder.
    – Demerit
    Jan 16 at 23:48
  • 1
    Thanks Demerit....yes you are correct. I started this question as I believed civicrm.stackexchange.com/questions/41044/… was around Joomla.....it was the 3rd part ext folder that was restored which is in ..../wp-content/uploads/civicrm/ext#
    – markd
    Jan 17 at 3:14
  • Ok cool. Do you mind updating your question to list which extensions you have installed since I'm trying to figure out if it's some extension that is maybe causing this, since it's not affecting every site.
    – Demerit
    Jan 17 at 3:30
  • Sure... 1. ca.civicrm.logviewer 2. mosaicotweaks 3. purgelogs-1.1.0 4. uk.co.compucorp.civicrm.booking 5. uk.co.vedaconsulting.mosaico 6. webtracking-1.3 I don't think that uk.co.compucorp.civicrm.booking is working or has been updated as we were testing this some time ago but abandoned it as there was no support.
    – markd
    Jan 17 at 3:39
  • The error is definitely related to the SearchKit extension. Has that extension ever been installed on your site (if so then perhaps it's still installed but disabled)?
    – Coleman
    Jan 18 at 16:04

1 Answer 1

2

Aha! Thanks for the list of extensions. You have afform_admin enabled and in 5.45 it started requiring search_kit. So it must be looking for it after upgrade.

If you've already upgraded and have access to the mysql database, you can do update civicrm_extension set is_active = 0 where full_name='org.civicrm.afform_admin'; to disable afform-admin temporarily so you can get to the screens.

If you haven't upgraded yet, this needs to be fixed in core but in the meantime before upgrading you can either disable afform-admin, or install search kit.

5
  • Oh !!....I didn't get any errors during the upgrade though...can you pls suggest what I can do to rectify, thanking you in advance.
    – markd
    Jan 19 at 4:31
  • It needs to be fixed in core but basically enable search kit before upgrading and it should be ok then.
    – Demerit
    Jan 19 at 4:32
  • 2
    You can try disabling afform-admin from the database so you can get to admin screens: update civicrm_extension set is_active = 0 where full_name='org.civicrm.afform_admin';
    – Demerit
    Jan 19 at 4:33
  • 2
    Thanks Demerit......it has fixed the issue...Here are my steps.... 1. Set is_active = 0 where full_name='org.civicrm.afform_admin' as per your suggestions above. 2. Cleared CiviCrm cache 3. Went to extensions page and noticed Searchkit was NOT installed but shown on page. 4. Message appeared "extension upgrade pending" 5. ran "Extension Upgrades" noticed that ...org.civicrm.afform_admin was updated in process. 6. cleared Civicrm caches 7. Installed Searchkit on extensions page. Do I need to enable Form Builder extension? What is the yellow "flask" icon next to the version number?
    – markd
    Jan 19 at 5:19
  • it means it's a pre-version release and not a stable release. this is now since version 5.4X or so I think Jan 19 at 10:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.